Resource

User Override

Manage on-call duty user overrides, for example if the user is on leave you can override the on-call duty policy for that user so all the alerts will be routed to the other user.

The User Override Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    onCallDutyPolicy
    Type
    On-Call Policy
    Description

    Relation to On-Call Policy where this escalation rule belongs.

  • Name
    onCallDutyPolicyId
    Type
    Object ID
    Description

    ID of your On-Call Policy where this escalation rule belongs.

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

  • Name
    overrideUser
    Type
    User
    Description

    Relation to User who is being overridden by this object (if this object was created by a User)

  • Name
    overrideUserId
    Type
    Object IDRequired
    Description

    User ID who is being overridden by this object (if this object was created by a User)

  • Name
    routeAlertsToUser
    Type
    User
    Description

    Relation to User who is being overridden by this object (if this object was created by a User)

  • Name
    routeAlertsToUserId
    Type
    Object IDRequired
    Description

    User ID who is being overridden by this object (if this object was created by a User)

  • Name
    startsAt
    Type
    DateRequired
    Description

    When does this start?

  • Name
    endsAt
    Type
    DateRequired
    Description

    When does this end?

GETorPOST/api/on-call-duty-policy-user-override/get-list

List

This endpoint allows you to retrieve a paginated list of all your User Override. By default, a maximum of ten User Override are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/on-call-duty-policy-user-override/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "endsAt": true,
    "overrideUserId": true,
    "projectId": true,
    "routeAlertsToUserId": true,
    "startsAt": true
  },
  "query": {},
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "377f7460-28fe-11f1-b591-3fdcef396aba",
      "endsAt": "2024-01-15T10:30:00.000Z",
      "overrideUserId": "550e8400-e29b-41d4-a716-446655440000",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "routeAlertsToUserId": "550e8400-e29b-41d4-a716-446655440000",
      "startsAt": "2024-01-15T10:30:00.000Z"
    },
    {
      "_id": "377f7461-28fe-11f1-b591-3fdcef396aba",
      "endsAt": "2024-01-15T10:30:00.000Z",
      "overrideUserId": "550e8400-e29b-41d4-a716-446655440000",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "routeAlertsToUserId": "550e8400-e29b-41d4-a716-446655440000",
      "startsAt": "2024-01-15T10:30:00.000Z"
    },
    {
      "_id": "377f7462-28fe-11f1-b591-3fdcef396aba",
      "endsAt": "2024-01-15T10:30:00.000Z",
      "overrideUserId": "550e8400-e29b-41d4-a716-446655440000",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "routeAlertsToUserId": "550e8400-e29b-41d4-a716-446655440000",
      "startsAt": "2024-01-15T10:30:00.000Z"
    }
  ]
}
GETorPOST/api/on-call-duty-policy-user-override/:id/get-item

Get item by ID

This endpoint allows you to retrieve User Override by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/on-call-duty-policy-user-override/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "endsAt": true,
    "overrideUserId": true,
    "projectId": true,
    "routeAlertsToUserId": true,
    "startsAt": true
  }
}

Response

{
  "_id": "377f7460-28fe-11f1-b591-3fdcef396aba",
  "endsAt": "2024-01-15T10:30:00.000Z",
  "overrideUserId": "550e8400-e29b-41d4-a716-446655440000",
  "projectId": "550e8400-e29b-41d4-a716-446655440000",
  "routeAlertsToUserId": "550e8400-e29b-41d4-a716-446655440000",
  "startsAt": "2024-01-15T10:30:00.000Z"
}
POST/api/on-call-duty-policy-user-override/count

Count

This endpoint allows you to retrieve the count of all your User Override.

Optional Request Body

Count Request

POST
/api/on-call-duty-policy-user-override/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {}
}

Response

{
  "count": 107
}
POST/api/on-call-duty-policy-user-override

Create User Override

This endpoint allows you to create a new object.

Create Request

POST
/api/on-call-duty-policy-user-override
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "endsAt": "2024-01-15T10:30:00.000Z",
    "overrideUserId": "550e8400-e29b-41d4-a716-446655440000",
    "projectId": "550e8400-e29b-41d4-a716-446655440000",
    "routeAlertsToUserId": "550e8400-e29b-41d4-a716-446655440000",
    "startsAt": "2024-01-15T10:30:00.000Z"
  }
}

Response

{
  "_id": "377f7460-28fe-11f1-b591-3fdcef396aba",
  "endsAt": "2024-01-15T10:30:00.000Z",
  "overrideUserId": "550e8400-e29b-41d4-a716-446655440000",
  "projectId": "550e8400-e29b-41d4-a716-446655440000",
  "routeAlertsToUserId": "550e8400-e29b-41d4-a716-446655440000",
  "startsAt": "2024-01-15T10:30:00.000Z"
}
PUT/api/on-call-duty-policy-user-override/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/on-call-duty-policy-user-override/:id/update-item
GET/api/on-call-duty-policy-user-override/:id/update-item

Update Request

PUT
/api/on-call-duty-policy-user-override/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {}
}

Response

{}
DELETE/api/on-call-duty-policy-user-override/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/on-call-duty-policy-user-override/:id/delete-item
GET/api/on-call-duty-policy-user-override/:id/delete-item

Delete Request

DELETE
/api/on-call-duty-policy-user-override/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read User Override

  • Project Owner
  • Project Admin
  • Project Member
  • Read On-Call Duty Policy User Override
  • Read All Project Resources

Create Permissions

Required to create User Override

  • Project Owner
  • Project Admin
  • Project Member
  • Create On-Call Duty Policy User Override

Update Permissions

Required to update User Override

  • Project Owner
  • Project Admin
  • Project Member
  • Edit On-Call Duty Policy User Override

Delete Permissions

Required to delete User Override

  • Project Owner
  • Project Admin
  • Project Member
  • Delete On-Call Duty Policy User Override